Technical FAQs

Ask a Question

I can't install InTouch on my Win7 iPC

InTouch needs SP1 to be installed on Win7.
On the iPC whose reference is HMIPCCSxxxxxx4xxxxxx or HMIPCCSxxxxxx6xxxxxx, the SP1 is not installed.
Therefore it is not possible to install Intouch
In order to install InTouch, first install Win7 SP1
Was this helpful?
What can we do to improve the information ?